Crypto Manager Host KMS Get Crypto Key Status

Crypto Manager Host KMS Get Crypto Key Status
Get the key status on the host.

Get the key status on the host.

Since: vSphere API Release 8.0.1.0

Required privileges: Cryptographer.ManageKeys

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/CryptoManagerHostKMS/{moId}/GetCryptoKeyStatus
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case CryptoManagerHostKMS/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
GetCryptoKeyStatusRequestType of type(s) application/json
Optional
{
    "keys": [
        {
            "_typeName": "string",
            "keyId": "string",
            "providerId": {
                "_typeName": "string",
                "id": "string"
            }
        }
    ]
}
array of object
keys
Optional

[in] Cryptographic keys to query status.

Authentication
This operation uses the following authentication methods.
Responses
200

the key status.

[
    {
        "_typeName": "string",
        "keyId": {
            "_typeName": "string",
            "keyId": "string",
            "providerId": {
                "_typeName": "string",
                "id": "string"
            }
        },
        "present": false,
        "managementType": "string",
        "accessGranted": false
    }
]
array of object
Optional

Status of a Crypto key on host.

Since: vSphere API Release 8.0.1.0


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/CryptoManagerHostKMS/{moId}/GetCryptoKeyStatus